/*=============== VARIABLES CSS ===============*/

:root {
  /*========== Colors ==========*/
  --color-primary: #E1B327;
  --color-secondary: #000;
  --color-text: #292931;
  --color-red: #BD1F24;
  --color-gray-1: #f3f3f3;
  --color-gray-2: #e5e5e5;
  --color-gray-3: #ebebeb;
  --color-gray-4: #d3ced2;
  --color-gray-5:   #B9B4A8;
  --color-gray-6:   #EAE9E5;
  --color-gray-theme: #D9D9D9;
  --color-white: #fff;
  --color-dark: #231f20;
  --color-black: #000;
  --color-green: #4BA60F;
  --color-yellow: #E1B327;


  /*========== Font and typography ==========*/
  --font-size-4-8: 4.8rem;
  --font-size-4-6: 4.6rem;
  --font-size-4: 4rem;
  --font-size-3-8: 3.8rem;
  --font-size-3-6: 3.6rem;
  --font-size-3-4: 3.4rem;
  --font-size-3-2: 3.2rem;
  --font-size-3: 3rem;
  --font-size-2-8: 2.8rem;
  --font-size-2-6: 2.6rem;
  --font-size-2-4: 2.4rem;
  --font-size-2-2: 2.2rem;
  --font-size-2: 2rem;
  --font-size-1-8: 1.8rem;
  --font-size-1-6: 1.6rem;
  --font-size-1-4: 1.4rem;
  --font-size-1-2: 1.2rem;

  /*========== Font weight ==========*/
  --font-weight-200: 200;
  --font-weight-300: 300;
  --font-weight-400: 400;
  --font-weight-500: 500;
  --font-weight-600: 600;
  --font-weight-700: 700;
  --font-weight-800: 800;
  --font-weight-900: 900;

  /*========== Line height ==========*/
  --line-height-big: 2em;
  --line-height-normal: 1.75em;
  --line-height-small: 1.5em;
  --line-height-smaller: 1.33em;

  /*========== Transitions ==========*/
  --transition-time: 0.4s;

  /*========== Containers/Widths ==========*/
  --container-wide: 1640px;
  --container-normal: 1365px;

  /*========== Border Radius ==========*/
  --border-rad-2: 2px;
  --border-rad-5: 5px;
  --border-rad-10: 10px;
  --border-rad-100: 100%;

  /*========== Box Shadow ==========*/
  --shadow-smallest: 0 10px 15px -3px rgb(0 0 0 / 0.1),
    0 4px 6px -4px rgb(0 0 0 / 0.1);
  --shadow-small: 0 4px 6px -1px rgb(0 0 0 / 0.1),
    0 2px 4px -2px rgb(0 0 0 / 0.1);
  --shadow-normal: 0 10px 15px -3px rgb(0 0 0 / 0.1),
    0 4px 6px -4px rgb(0 0 0 / 0.1);

  /*========== Box Shadow ==========*/
}

/*=============== BASE ===============*/
*:not(ul, li, ol) {
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

::selection {
  background-color: var(--color-secondary);
}

::-moz-selection {
  background-color: var(--color-secondary);
}

::-webkit-input-placeholder {
  font-size: var(--small-font-size);
  font-weight: var(--normal-font-weight);
}

:-moz-placeholder {
  font-size: var(--small-font-size);
  font-weight: var(--normal-font-weight);
}

::-moz-placeholder {
  font-size: var(--small-font-size);
  font-weight: var(--normal-font-weight);
}

:-ms-input-placeholder {
  font-size: var(--small-font-size);
  font-weight: var(--normal-font-weight);
}

/*Widths*/
.fit-content {
  width: fit-content !important;
}
.half-width {
  width: 50% !important;
}
.full-width {
  width: 100% !important;
}

/*****************************************************************/
a {
  color: inherit;
}
body a {
  color: #E1B327;
  font-weight: 600;
  text-decoration: underline;
}
.elementor-widget-container p a {
  /*color: var(--color-secondary) !important;*/
  transition: all var(--transition-time);
  /*text-decoration: underline;*/
  /*text-decoration-color: var(--color-primary);*/
  font-family: inherit;
  -moz-text-decoration-color: var(--color-primary);
  -webkit-transition: all var(--transition-time);
  -moz-transition: all var(--transition-time);
  -ms-transition: all var(--transition-time);
  -o-transition: all var(--transition-time);
}

.elementor-widget-container p a:hover {
  text-decoration: underline;
}
/*****************************************************************/

/*Lists*/
ul li::marker {
  color: var(--color-primary);
  font-size: 2rem;
}

/*Icons*/
.icon-flex-center .elementor-icon-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

/*Columns/Containers*/
.col-left>.e-con-inner {
  margin-left: 0 !important;
  margin-right: auto !important;
}
.col-right>.e-con-inner {
  margin-right: 0 !important;
  margin-left: auto !important;
}


/****
Loop Item (Pages)
*****/
.climbing-wall--btn a .elementor-button-text {
  color: var(--color-primary);
}

/*Icon*/
.climbing-wall--btn a .elementor-button-icon svg {
  width: 25px;
  fill: var(--color-black);
}
.climbing-wall--btn .elementor-button-content-wrapper {
  transition: var(--transition-time);
  -webkit-transition: var(--transition-time);
  -moz-transition: var(--transition-time);
  -ms-transition: var(--transition-time);
  -o-transition: var(--transition-time);
}
.climbing-loop-item--wrap:hover .climbing-wall--btn .elementor-button-content-wrapper {
  gap: 75px !important;
}
.climbing-loop-item--wrap:hover .climbing-wall--btn .elementor-button-content-wrapper svg {
  fill: var(--color-primary);
}
/*Image*/
.climbing-loop-item--wrap .climbing-image img {
  transition: var(--transition-time);
  -webkit-transition: var(--transition-time);
  -moz-transition: var(--transition-time);
  -ms-transition: var(--transition-time);
  -o-transition: var(--transition-time);
}
.climbing-loop-item--wrap:hover .climbing-image img {
  transform: scale(1.1);
}

/*****
Banners
*****/
.climbing-banner--wrap .text-column {
  transition: var(--transition-time);
  -webkit-transition: var(--transition-time);
  -moz-transition: var(--transition-time);
  -ms-transition: var(--transition-time);
  -o-transition: var(--transition-time);
}
.climbing-banner--wrap:hover .text-column {
  padding-bottom: 125px !important ;
}

/*****
Buttons
*****/
/*Storitve*/
.climbing-btn--storitve a .elementor-button-icon svg {
  width: 25px;
}
.climbing-btn--storitve .elementor-button-content-wrapper {
  display: flex;
  align-items: center;
}

/*****
Quotes
*****/
.climbing-quotes--wrap .elementor-main-swiper {
  padding: 0 !important;
}
.climbing-quotes--wrap .swiper-pagination {
  bottom: -105px !important;
}

/****
Razlogi
****/
.climbing-razlogi-slider--wrap .elementor-swiper-button svg {
  fill: var(--color-secondary) !important;
}
/****
Header
****/
#climbing-header--sticky {
  position: fixed;
  top: -127px; /* Initially hide the header above the viewport */
  left: 0;
  right: 0;
  width: 100%;
  transition: top 0.3s ease; /* Add a transition to the top property */
  z-index: 1000;
}

#climbing-header--sticky.elementor-sticky--active {
  top: 0; /* Slide the header down into view */
}
/*Dropdown Menus*/
.climbing-hamb--menu nav ul li.menu-item-has-children>a.has-submenu {
  display: flex;
  justify-content: space-between;
}
/*Links*/
.header-links a {
	text-decoration:none !important;
}
.header-links a:hover {
  color: var(--color-primary);
}
/*Active Menus*/
.climbing-wall--menu nav ul li.current-page-ancestor>a {
  color: var(--color-primary) !important;
}
.climbing-wall--menu nav ul li.current-page-ancestor>a svg {
  fill: var(--color-primary);
}
/*Hamb Menu*/
.climbing-hamb--menu ul li.current-page-ancestor {
  background-color: var(--color-primary);
}
/****
Footer
****/
.footer-text a {
	text-decoration: none !important;
}
.footer-text a:hover {
  color: var(--color-primary);
}
.wall-footer--image img,
.wall-footer--image a {
  width: 100%;
}

.wall-footer .elementor-widget-container a {
  color: var(--color-secondary);
}

.wall-footer .elementor-widget-container a:hover {
  color: var(--color-primary);
}

.wall-footer .wall-shop-link {
  color: #A20000 !important;
  transition: all var(--transition-time) !important;
}

.wall-footer .wall-shop-link:hover {
  color: var(--color-secondary) !important;
  text-decoration: none !important;
}
/*CopyRight Footer*/
.webtim-copyright--container a {
  font-family: "Montserrat", Sans-serif !important;
  color: black;
  transition: all var(--transition-time);
}

.webtim-copyright--container a:hover {
  color: var(--color-primary);
}
/****
Climbing Table
****/
.climbing-table--container {
  overflow-x: scroll;
  width: 100%;
}

.climbing-table--container table {
  width: 800px;
}

.climbing-table--container {
  width: 100%;
  max-width: 1050px;
}

.climbing-table--container th {
  min-width: 185px;
  padding: 10px !important;
  border: none;
  border-right: 1px solid var(--color-gray-theme);
  text-align: left;
}

.climbing-table--container td {
  padding: 10px;
  border: none;
  font-style: normal;
  word-break: break-word;
}

.climbing-table--container tr:nth-child(even) td,
.climbing-table--container tr:nth-child(even) th {
  background: none;
}

.climbing-table--container table,
.climbing-table--container th,
.climbing-table--container td {
  border: 1px solid var(--color-gray-theme);
}

.climbing-table td p {
  padding: 0;
}
@media only screen and (max-width: 1355px) {
  /*CopyRight Footer*/
  .webtim-copyright--container,
  .webtim-copyright--container .content {
    text-align: center;
  }
  .webtim-copyright--container .content {
    display: flex;
    flex-direction: column;
  }
  /*Webtim Logo*/
  .webtim-copyright--container .author__wrapper {
    display: flex !important;
    justify-content: center;
  }
  .webtim-copyright--container .author__wrapper .copy-author-word {
    margin-right: 10px !important;
  }
  .webtim-copyright--container .divider {
    display: none;
  }
  /****
  Razlogi
  ****/
  .climbing-razlogi-slider--wrap .elementor-swiper-button {
    display: none;
  }
}

@media only screen and (max-width: 767px) {
.footer-menu li a {
  justify-content: center !important;
}
}


/****
Contact Form
****/

/*Layout*/
.climbing-form-container.kontakt {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/*Inputs & Textarea*/
.climbing-form-field input,
.climbing-form-field textarea {
  width: 100%;
  border: 1px solid var(--color-secondary) !important;
  border-radius: var(--border-rad-5) !important;
}

.climbing-form-field input::placeholder,
.climbing-form-field textarea::placeholder {
  font-size: var(--font-size-1-4);
  color: var(--color-secondary);
}

/*Split Fields*/
.climbing-form-field.split>p {
  display: flex;
  justify-content: space-between;
  gap: 5px;
}

.climbing-form-field.split>p span {
  width: 100%;
}

/*Texts*/
.climbing-form-txt {
  font-size: var(--font-size-1-2);
  line-height: 2.8rem;
}

.climbing-form-txt a {
  color: #e1b327 !important;
  text-decoration: underline;
  -moz-text-decoration-color: var(--color-secondary) !important;
}

.climbing-form-txt.small a {
  -moz-text-decoration-color: var(--color-secondary) !important;
  color: var(--color-secondary);
}

/*Acceptance*/
.wpcf7-acceptance {
  display: flex;
  margin-bottom: 8px 0;
}

.wpcf7-acceptance a {
  text-decoration: underline !important;
  color: var(--color-secondary) !important;
}

.wpcf7-acceptance .wpcf7-list-item-label {
  font-size: var(--font-size-1-2);
  line-height: 2.8rem;
}

form.wpcf7-form input[type=checkbox] {
  width: 14px !important;
  height: 14px !important;
  padding: 6px !important;
  margin-right: 8px !important;
  margin-top: 8px !important;
  border-color: 1px var(--color-secondary) !important;
  border: 1px solid var(--color-secondary) !important;
  border-radius: 2px;
}

form.wpcf7-form input[type=checkbox]:checked::after {
  width: 8px !important;
  height: 8px !important;
  border-radius: 1px;
}

.wpcf7-acceptance .wpcf7-list-item {
  margin: 0;
}

/*Invalid*/
.climbing-form-container .wpcf7-not-valid {
  background-color: #bd1f2424 !important;
}

.climbing-form-container .wpcf7-not-valid-tip {
  font-size: var(--font-size-1-2);
  color: var(--color-secondary);
}

/*Submit*/
form.wpcf7-form .climbing-form-container input[type=submit] {
  width: 100%;
  color: #000;
  font-weight: var(--font-weight-300) !important;
  font-size: var(--font-size-1-8);
  background-color: var(--color-primary);
  border: 1px solid #000;
  border-radius: var(--border-rad-5);
}

form.wpcf7-form .climbing-form-container input[type=submit]:hover {
  background-color: #fff;
  border: 1px solid #000;
  color:#000;
}
.climbing-form-container a {
	color:#E1B327 !important;
	text-decoration:underline !importanr;
	font-weight:600;
}
.climbing-form-container a:hover {
	color:#000 !important;
}
.wpcf7 input[type="text"]:focus,
.wpcf7 input[type="email"]:focus,
.wpcf7 input[type="number"]:focus,
.wpcf7 textarea:focus {
    border-color: #E1B327 !important;
    outline: none !important; /* Če želite odstraniti standardni modri okvir */
    box-shadow: 0 0 5px rgba(225, 179, 39, 0.5); /* Dodaten efekt za boljši izgled */
    transition: border-color 0.3s ease-in-out; /* Gladka tranzicija */
}

#wpcf7-f3210-p12-o1 form.wpcf7-form input[type=submit] {
	width: 100%;
	margin-top:10px;
	background-color: var(--color-primary);
	border-radius: var(--border-rad-5);
}

#wpcf7-f3210-p12-o1 form.wpcf7-form input[type=submit]:hover {
	background-color:var(--color-white);
	color: var(--e-global-color-secondary);
	border-radius: var(--border-rad-5);
}

#wpcf7-f3210-p12-o1 .wpcf7-email {
	width: 100%;
	border-radius: var(--border-rad-5);
}

@media only screen and (max-width: 767px) {
#wpcf7-f3210-p12-o1 form.wpcf7-form input[type=submit] {
	padding-top: 18px;
	padding-bottom: 18px;
	padding-right:0;
	padding-left:0;
}
}
/* Glavni stil samo za linke znotraj <p> v contentu */
p a {
  color: #E1B327; /* tvoja barva linka */
  text-decoration: underline !important;
  transition: color 0.2s ease;
}

p a:hover {
  color: #000; /* hover barva */
}
@media (max-width: 1023px){
#full-width {
	width:100% !important;
}
}